Removes all values

- « Ds\Collection

- Ds\Collection::copy »

- PHP Manual
- Ds\Collection
- Removes all values

# Ds\Collection::clear

(PECL ds >= 1.0.0)

Ds\Collection::clear — Removes all values

### Description

public Ds\Collection::clear(): void

Removes all values from the collection.

### Parameters

This function has no parameters.

### Return Values

No value is returned.

### Examples

Example #1 Ds\Collection::clear() example

    <?php$collection = new \Ds\Vector([1, 2, 3]);print_r($collection);$collection->clear();print_r($collection);?>

The above example will output something similar to:

    Ds\Vector Object
    (
        [0] => 1
        [1] => 2
        [2] => 3
    )
    Ds\Vector Object
    (
    )